Subject: Re: bug#52537: [DOC] ‘top-visible’ and‘bottom-visible’ (erroneous indications)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Dec 2021 10:15:06 +0200

> Date: Thu, 16 Dec 2021 06:58:35 +0100
> From:  Kevin Vigouroux via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> In the Emacs Lisp Reference Manual, section 29.14 Child Frames, a
> paragraph contains some errors about ‘top-visible’ and ‘bottom-visible’.
> 
> #+begin_quote
> The ‘top-visible’ parameter specifies the >>number of pixels at the top
> of the frame that always remain visible<< within the parent’s native frame
> during dragging and should be set when specifying a non-‘nil’
> ‘drag-with-header-line’ parameter.  The ‘bottom-visible’ parameter
> specifies the >>number of pixels at the bottom of the frame that always
> remain visible<< within the parent’s native frame during dragging and
> should be preferred when specifying a non-‘nil’ ‘drag-with-mode-line’
> parameter.
> #+end_quote
> 
> The correct description is given in the Emacs Lisp Reference
> Manual, section 29.4.3.7 Mouse Dragging Parameters.
> 
> #+begin_quote
> ‘top-visible’
>      If this parameter is a number, >>the top edge of the frame never
>      appears above the top edge<< of its display or parent frame.
>      Moreover, as many pixels of the frame as specified by that number
>      will remain visible >>when the frame is moved against any of the
>      remaining edges<< of its display or parent frame.  Setting this
>      parameter is useful to guard against dragging a child frame with a
>      non-‘nil’ ‘drag-with-header-line’ parameter completely out of the
>      area of its parent frame.
> 
> ‘bottom-visible’
>      If this parameter is a number, >>the bottom edge of the frame never
>      appears below the bottom edge<< of its display or parent frame.
>      Moreover, as many pixels of the frame as specified by that number
>      will remain visible >>when the frame is moved against any of the
>      remaining edges<< of its display or parent frame.  Setting this
>      parameter is useful to guard against dragging a child frame with a
>      non-‘nil’ ‘drag-with-mode-line’ parameter completely out of the
>      area of its parent frame.
> #+end_quote
> 
> We may move the child frame with the mouse but not above (below) the top
> (bottom) edge of the native frame of the parent frame: this is the role
> of ‘top-visible’ (‘bottom-visible’) parameter.

Maybe I'm missing something, but I don't necessarily see the error in
the first text vs the second one.  Could you please point out the
part(s) that is/are incorrect there?  (Having one description be
general and another more specific and accurate is not a problem, it's
how our manuals are written in general.)

Thanks.